<?php
// ***********************************************************************
// * GARLAND-LIKE THEME
// * ============================================  
// *  
// * Copyright (c) 2009 by Igor E.Novikov
// * http://sk1project.org 
// * 
// * This program is free software. You can redistribute it and/or modify 
// * it under the terms of the GNU General Public License as published by 
// * the Free Software Foundation; either version 2 of the License.   
// *
// ***********************************************************************

if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
require_once INCLUDES."theme_functions_include.php";

define("THEME_WIDTH", "1020px");
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' style='border:0' />");

function render_page($license=false) {
	
	global $settings, $main_style;

	echo "<div id='header-region'>";
	echo "</div>";

	echo "<div id='main-container' align='center'>";

	echo "<div style='width:".THEME_WIDTH.";' class='$main_style' align='left'>\n";
	
	//Header
	echo "<div id='top-menu-panel'>\n";
	echo "<div class='white-header'>".showsublinks(" <span class='bullet'>&middot;</span> ")."</div>\n";
	echo "</div>\n";
	echo "<div id='top-time-panel'>\n";
	echo "<div class='white-header'>".showsubdate()."</div>\n";
	echo "</div>\n";
	echo "<div id='full-header'>\n<br />".showbanners()."\n";
	echo "</div>\n";
	
	
	//Content
	echo "<table id='main-page' cellspacing='0' cellpadding='0' border='0' width='".THEME_WIDTH."'><tr>";

	if (LEFT) { echo "<td valign='top'><div id='side-border-left'>".LEFT."</div>\n</td>"; }

	echo "<td valign='top' id='main-bg'>";
	echo "<table cellspacing='0' cellpadding='0' border='0' class='inner-main-bg'><tr><td class='inner-main-bg'>";
	echo "<div id='container'>".U_CENTER.CONTENT.L_CENTER."</div>";
	echo "</td></tr></table>";
	echo "</td>";

	if (RIGHT) { echo "<td valign='top'><div id='side-border-right'>".RIGHT."</div></td>"; }

	echo "</tr></table>";
	echo "</div>\n";
	
	//Footer
	echo "<div id='footer' class='clear'>".stripslashes($settings['footer'])."\n";
	echo showcounter()."<br />\n";

	if ($license == false) {
		echo "<span style='color: #000;'>Powered by <a href='http://www.php-fusion.co.uk/' rel='nofollow'><img src='".THEME."images/fusion.gif' alt='' style='border:0;vertical-align:middle' /></a> &copy;2002-".date("Y")." by Nick Jones. Released as free software without warranties under <a href='http://www.fsf.org/licensing/licenses/agpl-3.0.html'>GNU Affero GPL</a> v3.<br />Garland-like Theme by <a href='http://sk1project.org/'><img src='".THEME."images/sk1.gif' alt='' style='border:0;vertical-align:middle' /></a> &copy;2009;</span>";
	}
	echo "</div>\n</div>\n";
}

function render_news($subject, $news, $info) {

	echo "<div class='capmain'><h2>$subject</h2></div>\n";
	echo "<div class='main-body floatfix'>".	$news."</div>\n";
	echo "<div class='news-footer'>\n";
	echo newsposter($info,"&middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</div>\n";

}

function render_article($subject, $article, $info) {

	echo "<div class='capmain'><h2>$subject</h2></div>\n";
	echo "<div class='main-body floatfix'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
	echo "<div class='news-footer'>\n";
	echo articleposter($info,"&middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</div>\n";

}

function opentable($title) {

	echo "<div class='capmain'>$title</div>\n";
	echo "<div class='main-body floatfix'>\n";

}

function closetable() {

	echo "</div>\n";

}

function openside($title, $collapse = false, $state = "on") {
	
	global $panel_collapse; $panel_collapse = $collapse;

	echo "<div class='border'>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<div class='scapmain' style='float:right;'>".panelbutton($state,$boxname)."</div>\n";
	}
	echo "<div class='scapmain'>".$title."</div>\n";
	echo "<div class='side-body floatfix'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside($collapse = false) {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</div>\n</div>\n";

}

?>